# Node server

A server in Node JS to hold transactions for Gift and Loyalty cards.

# Installing

Install [Node JS](https://nodejs.org) by following the instructions on their webpage. NPM will also be necessary, but the installation of Node JS should have it bundled. 

Install MongoDB.

Clone this repository.

Install packages

```sh
$ cd cluster-server
$ npm install
```

# Usage

The following command will start the server:

### On Windows

```sh
$ npm run devwin
```

### On Mac / Linux

```sh
$ npm run dev
```
